<?php
/**
 * Theme Customizer Controls
 *
 * @package Home Shifting Services
 */

if ( ! function_exists( 'home_shifting_services_customizer_page_register' ) ) :
function home_shifting_services_customizer_page_register( $wp_customize ) {
 
 	$wp_customize->add_section(
        'home_shifting_services_page_settings',
        array (
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Page Settings', 'home-shifting-services' )
        )
    );

    // Info label
     $wp_customize->add_setting( 
        'home_shifting_services_label_page_title_hide_settings', 
        array(
            'sanitize_callback' => 'home_shifting_services_sanitize_title',
        ) 
    );

    $wp_customize->add_control( 
        new Home_Shifting_Services_Title_Info_Control( $wp_customize, 'home_shifting_services_label_page_title_hide_settings', 
        array(
            'label'       => esc_html__( 'Hide Page Title', 'home-shifting-services' ),
            'section'     => 'home_shifting_services_page_settings',
            'type'        => 'home-shifting-services-title',
            'settings'    => 'home_shifting_services_label_page_title_hide_settings',
        ) 
    ));  

    // Hide page title section
    $wp_customize->add_setting(
        'home_shifting_services_enable_page_title',
        array(
            'type' => 'theme_mod',
            'default'           => true,
            'sanitize_callback' => 'home_shifting_services_sanitize_checkbox'
        )
    );

    $wp_customize->add_control(
        new Home_Shifting_Services_Toggle_Control( $wp_customize, 'home_shifting_services_enable_page_title', 
        array(
            'settings'      => 'home_shifting_services_enable_page_title',
            'section'       => 'home_shifting_services_page_settings',
            'type'          => 'home-shifting-services-toggle',
            'label'         => esc_html__( 'Show Page Title Section:', 'home-shifting-services' ),
            'description'   => '',           
        )
    ));

    // Info label
    $wp_customize->add_setting( 
        'home_shifting_services_label_page_title_bg_settings', 
        array(
            'sanitize_callback' => 'home_shifting_services_sanitize_title',
        ) 
    );

    $wp_customize->add_control( 
        new Home_Shifting_Services_Title_Info_Control( $wp_customize, 'home_shifting_services_label_page_title_bg_settings', 
        array(
            'label'       => esc_html__( 'Page Title Background', 'home-shifting-services' ),
            'section'     => 'home_shifting_services_page_settings',
            'type'        => 'title',
            'settings'    => 'home_shifting_services_label_page_title_bg_settings',
            'active_callback' => 'home_shifting_services_page_title_enable',
        ) 
    ));

    // Background selection
    $wp_customize->add_setting(
        'home_shifting_services_page_bg_radio',
        array(
            'type' => 'theme_mod',
            'default'           => 'color',
            'sanitize_callback' => 'home_shifting_services_sanitize_select'
        )
    );

    $wp_customize->add_control(
    	new Home_Shifting_Services_Text_Radio_Control( $wp_customize, 'home_shifting_services_page_bg_radio',
        array(
            'settings'      => 'home_shifting_services_page_bg_radio',
            'section'       => 'home_shifting_services_page_settings',
            'type'          => 'radio',
            'label'         => esc_html__( 'Choose Page Title Background Color or Background Image:', 'home-shifting-services' ),
            'description'   => esc_html__('This setting will change the background of the page title area.', 'home-shifting-services'),
            'choices' => array(
                            'color' => esc_html__('Background Color','home-shifting-services'),
                            'image' => esc_html__('Background Image','home-shifting-services'),
                            ),
            'active_callback' => 'home_shifting_services_page_title_enable',
        )
    ));

    // Background color
    $wp_customize->add_setting(
        'home_shifting_services_page_bg_color',
        array(
            'type' => 'theme_mod',
            'default'           => '',
            'sanitize_callback' => 'sanitize_hex_color'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'home_shifting_services_page_bg_color',
            array(
                'label'      => esc_html__( 'Select Background Color', 'home-shifting-services' ),
                'description'   => esc_html__('This setting will add background color to the page title area if Background Color was selected above.', 'home-shifting-services'),
                'section'    => 'home_shifting_services_page_settings',
                'settings'   => 'home_shifting_services_page_bg_color',
                'active_callback' => 'home_shifting_services_page_title_color_enable',
            )
        )
    );

    // Background image
    $wp_customize->add_setting(
        'home_shifting_services_page_bg_image',
        array(
            'type' => 'theme_mod',
            'sanitize_callback' => 'esc_url_raw'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'home_shifting_services_page_bg_image',
            array(
                'label'       => esc_html__( 'Upload Background Image', 'home-shifting-services' ),
                'description' => esc_html__('This setting will add a background image to the page title area if Background Image was selected above.', 'home-shifting-services'),
                'section'     => 'home_shifting_services_page_settings',
                'settings'    => 'home_shifting_services_page_bg_image',
                'active_callback' => 'home_shifting_services_page_title_image_enable',
            )
        )
    );
    
}
endif;

add_action( 'customize_register', 'home_shifting_services_customizer_page_register' );